Projects
Update project
PATCH
/
project
/
{id}
Update project
curl --request PATCH \
--url https://{instance}/api/v2/project/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"scheduledStartDate": "2023-12-25",
"scheduledEndDate": "2023-12-25",
"actualEndDate": "2023-12-25",
"costCode": "<string>",
"isArchived": true
}
'const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
scheduledStartDate: '2023-12-25',
scheduledEndDate: '2023-12-25',
actualEndDate: '2023-12-25',
costCode: '<string>',
isArchived: true
})
};
fetch('https://{instance}/api/v2/project/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{instance}/api/v2/project/{id}"
payload = {
"name": "<string>",
"scheduledStartDate": "2023-12-25",
"scheduledEndDate": "2023-12-25",
"actualEndDate": "2023-12-25",
"costCode": "<string>",
"isArchived": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"value": {}
}Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
Updated project
⌘I
Update project
curl --request PATCH \
--url https://{instance}/api/v2/project/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"scheduledStartDate": "2023-12-25",
"scheduledEndDate": "2023-12-25",
"actualEndDate": "2023-12-25",
"costCode": "<string>",
"isArchived": true
}
'const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
scheduledStartDate: '2023-12-25',
scheduledEndDate: '2023-12-25',
actualEndDate: '2023-12-25',
costCode: '<string>',
isArchived: true
})
};
fetch('https://{instance}/api/v2/project/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{instance}/api/v2/project/{id}"
payload = {
"name": "<string>",
"scheduledStartDate": "2023-12-25",
"scheduledEndDate": "2023-12-25",
"actualEndDate": "2023-12-25",
"costCode": "<string>",
"isArchived": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"value": {}
}